resource "kubectl_manifest" "PriorityClass_kubevirt-cluster-critical" {
  yaml_body  = <<-EOF
    apiVersion: scheduling.k8s.io/v1
    kind: PriorityClass
    metadata:
      name: kubevirt-cluster-critical
      labels: ${jsonencode(local.common-labels)}
    value: 1000000000
    globalDefault: false
    description: This priority class should be used for core kubevirt components only.
EOF
}

